<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：cls.sys_public.php
 * 摘    要：系统公共类
 * 适用范围：PHPWMS 1.0
 * 版    本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
	if(!defined('IN_SYS'))die('Hacking attempt');
	class SysPublic	{
		private $db;
		private $tpl;
		private $config;
		public function __construct($config=array()) {
			global $db,$tpl;
			$this -> db		= $db;
			$this -> tpl	= $tpl;
			$this -> config = $config;
		}
		function getRealIp(){
			return get_ip();
		}
		public function outPut($tpl_name) {
			return $this -> tpl -> display($tpl_name);
		}
		public function msg($message,$url_arr=array(),$time=REDIRECT_TIME) {
            if (count($url_arr) ==0 || empty($url_arr))
			    $is_null = 0;
			else 
				$is_null = 1;
			$this -> tpl -> assign("url_arr",$url_arr);
			$this -> tpl -> assign("is_null",$is_null);
			$this -> tpl -> assign("time",$time);
			$this -> tpl -> assign("message",$message);
			$this -> outPut('msg.tpl',"系统信息提示");
			exit;
		}        
		public function bgmsg($message,$url_forward = '',$time = 3000) {
			$this -> tpl -> assign("message",$message);
			if(!$url_forward)$url_forward=$_SERVER['HTTP_REFERER'];
			$this -> tpl -> assign("url_forward",$url_forward);
			$this -> tpl -> assign("time",$time);
			$this -> tpl->display('msg.tpl',"系统信息提示");
			exit;
        }
		public function getTplList() {
			global $charset;
			include_once('cls.xml_parser.php');
			$xp = new XmlParser('../template/tpl.xml');
			$arr = $xp -> xmlToArray();
			if (intval(count($arr)) == 0) {
				return array();
			}
			if (strtoupper($charset) != 'UTF-8') {
				for($i=0,$max=intval(count($arr['item']));$i<$max;$i++){
					$arr['item'][$i]['name'] = iconv('UTF-8',strtoupper($charset),$arr['item'][$i]['name']);
				}
			}
			return $arr['item'];
		}
		// 获得客户端的操作系统
		public function getOS() {
			if (!isset($_SERVER['HTTP_USER_AGENT'])) {
				return 'Unknown';
			}
			$agent = $_SERVER['HTTP_USER_AGENT'];
			$os    = '';
			if (eregi('win', $agent) && eregi('nt 5.1', $agent)) {
				$os = 'Windows XP';
			} elseif (eregi('win 9x', $agent) && strpos($agent, '4.90')) {
				$os = 'Windows ME';
			} elseif (eregi('win', $agent) && ereg('98', $agent)) {
				$os = 'Windows 98';
			} elseif (eregi('win', $agent) && strpos($agent, '95')) {
				$os = 'Windows 95';
			} elseif (eregi('win', $agent) && eregi('nt 5', $agent)) {
				$os = 'Windows 2000';
			} elseif (eregi('win', $agent) && eregi('nt', $agent)) {
				$os = 'Windows NT';
			} elseif (eregi('win', $agent) && ereg('32', $agent)) {
				$os = 'Windows 32';
			} elseif (eregi('linux', $agent)) {
				$os = 'Linux';
			} elseif (eregi('unix', $agent)) {
				$os = 'Unix';
			} elseif (eregi('sun', $agent) && eregi('os', $agent)) {
				$os = 'SunOS';
			} elseif (eregi('ibm', $agent) && eregi('os', $agent)) {
				$os = 'IBM OS/2';
			} elseif (eregi('Mac', $agent) && eregi('PC', $agent)) {
				$os = 'Macintosh';
			} elseif (eregi('PowerPC', $agent)) {
				$os = 'PowerPC';
			} elseif (eregi('AIX', $agent)) {
				$os = 'AIX';
			} elseif (eregi('HPUX', $agent)) {
				$os = 'HPUX';
			} elseif (eregi('NetBSD', $agent)) {
				$os = 'NetBSD';
			} elseif (eregi('BSD', $agent)) {
				$os = 'BSD';
			} elseif (ereg('OSF1', $agent)) {
				$os = 'OSF1';
			} elseif (ereg('IRIX', $agent)) {
				$os = 'IRIX';
			} elseif (eregi('FreeBSD', $agent)) {
				$os = 'FreeBSD';
			} elseif (eregi('teleport', $agent)) {
				$os = 'teleport';
			} elseif (eregi('flashget', $agent)) {
				$os = 'flashget';
			} elseif (eregi('webzip', $agent)) {
				$os = 'webzip';
			} elseif (eregi('offline', $agent)) {
				$os = 'offline';
			} else {
				$os = 'Unknown';
			}
			return $os;
		}
		public function jsAlert($msg,$url = "") {
			$str = "<script language=\"JavaScript\">\n";
			$str .= "alert(\"".$msg."\");\n";
			if (trim($url)) {
				$str .= "window.location=\"".$url."\";\n";
			} else {
				$str .= "history.go(-1);\n";
			}			
			$str .= "</script>\n";
			echo $str;
		}
}
?>